package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Offcfg;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface OffcfgMapper {

    /**
     * 分页查询
     * @param offcfg
     * @return
     */
    List<Offcfg> queryAllByLimit(Offcfg offcfg);

    /**
     * 通过ID查询单条数据
     *
     * @param
     * @return 实例对象
     */
    Offcfg queryById(String inr);

    /**
     * 新增数据
     *
     * @param offcfg
     * @return 影响行数
     */
    int insert(Offcfg offcfg);

    /**
     * 修改数据
     *
     * @param offcfg
     * @return
     */
    int update(Offcfg offcfg);

    /**
     * 通过主键删除数据
     *
     * @param inr
     * @return 影响行数
     */
    int deleteById(String inr);

    int check(Offcfg offcfg);

    Offcfg selectBySwitchcode(Offcfg offcfg);

    int updateByPrimaryKey(Offcfg offcfg);
}
